Skip to main content
GET
JavaScript

Authorizations

X-API-KEY
string
header
required

Headers

Tenant-ID
string

The tenant identifier for multi-tenant organisations. Required when the organisation has multi-tenancy enabled. Pass your own internal customer ID for the tenant. Ignored for single-tenant organisations.

Path Parameters

systemId
string<uuid>
required

The UUID of the points system.

id
string<uuid>
required

The UUID of the points trigger.

Response

The points trigger.

A points trigger as returned from admin endpoints.

id
string<uuid>
required

The UUID of the trigger.

type
enum<string>
required

The type of trigger.

Available options:
metric,
achievement,
streak,
time,
user_creation
points
integer
required

The number of points awarded or deducted when the trigger fires.

status
enum<string>
required

The status of the trigger.

Available options:
active,
inactive
userAttributes
object[]
required

User attribute filters applied to the trigger.

blockIfOutOfPoints
boolean
required

Whether metric events that would reduce the user's points below zero are blocked.

metricId
string<uuid>

The UUID of the metric. Only present for metric triggers.

metricThreshold
integer

The metric threshold. Only present for metric triggers.

eventAttributes
object[]

Event attribute filters applied to the trigger. Only present for metric triggers.

achievementId
string<uuid>

The UUID of the achievement. Only present for achievement triggers.

streakLength
integer

The streak length. Only present for streak triggers.

timeUnit
enum<string>

The time unit. Only present for time triggers.

Available options:
hours,
days
timeInterval
integer

The time interval. Only present for time triggers.